Bug 265868

Summary: mw07:Embedded word document is displaying at the top of the page.
Product: calligracommon Reporter: swathi <swathi.vegesna999>
Component: flake-pluginsAssignee: Inge Wallin <inge>
Status: VERIFIED FIXED    
Severity: normal CC: inge, lassniem
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Unlisted Binaries   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Test data
Screenshot in MS Word 2007
Screenshot in Calligra Words
Koconverted test data
Screenshot of the document in latest Calligra Words

Description swathi 2011-02-09 11:48:11 UTC
Created attachment 57009 [details]
Test data

Version: git commit   e812ba7ebf585736a2587b8a928ff59b1649f3ce
         (Using KDE 4.4.3)                
     OS: Kubuntu 10.04

Test data is in MS Word 2007 format which has embedded word document in it.Open the same document in calligra words and check the position of the the embedded objects.

Expected outcome:
Embedded word document should display in the right position as like in the MS Word 2007 document.
Actual outcome:
Embedded object is displaying at the top of the page.
Please check the screen shots attached.
Comment 1 swathi 2011-02-09 11:49:20 UTC
Created attachment 57010 [details]
Screenshot in MS Word 2007
Comment 2 swathi 2011-02-09 11:50:21 UTC
Created attachment 57011 [details]
Screenshot in Calligra Words
Comment 3 swathi 2011-02-09 11:52:57 UTC
Created attachment 57012 [details]
Koconverted test data

Converted the test data to .odt using koconverter.
Open Office loads the file as expected i.e. embedded word document is dispalying in rigth position.
So guessing it to be a core problem.
Comment 4 swathi 2011-02-09 11:53:17 UTC
Similar issue is observed for embedded ppt also.
Comment 5 Lassi Nieminen 2011-03-11 15:10:14 UTC
displayed in right position in
336b34a9b9750ad564fb9ec9cb9284d9165301f5
Comment 6 swathi 2011-03-23 10:42:15 UTC
Issue is still reproducable in git commit 54d37401c629cd29ed04be7fcc72e2666ca60102.
Comment 7 swathi 2011-03-23 11:26:05 UTC
Created attachment 58285 [details]
Screenshot of the document in latest Calligra Words

Updation of the bug description :

Expected outcome:
Text in the embedded word document,should be left aligned.

Actual outcome:
Text in the embedded word document is center aligned.

Please check the screenshot of the document in latest calligra words.
Comment 8 Inge Wallin 2011-03-23 11:42:58 UTC
Move to calligra-common and assign to ingwa
Comment 9 Inge Wallin 2011-03-29 16:36:35 UTC
Git commit 2be76ca5ecea533b028aa3238c5b9075aa40e07c by Inge Wallin.
Committed on 29/03/2011 at 16:37.
Pushed by ingwa into branch 'master'.

Fix bug 265868: mw07:Embedded word document is displaying at the top of the page.

* Don't center the EMF in the available space, but instead paint it in
  the upper left corner.

BUG: 265868

M  +2    -0    plugins/vectorshape/libemf/EmfOutputPainterStrategy.cpp     

http://commits.kde.org/calligra/2be76ca5ecea533b028aa3238c5b9075aa40e07c
Comment 10 swathi 2011-05-27 14:10:53 UTC
Verified in 70e1b6e65bcc89bffdd1ba4c9903469827c2c213.